singleton Material("hopper.skin.BP")
{
   mapTo = "hopper.skin.BP";
	colorPaletteMap[2] = "vehicles/hopper/hopper_skin_BP_uv1.png";
    overlayMap[2] = "vehicles/hopper/hopper_skin_BP_overlay.png";
    diffuseMap[2] = "vehicles/hopper/hopper_c.dds";
    specularMap[2] = "vehicles/hopper/hopper_s.dds";
    normalMap[2] = "vehicles/hopper/hopper_n.dds";
    diffuseMap[1] = "vehicles/hopper/hopper_d.dds";
    specularMap[1] = "vehicles/hopper/hopper_s.dds";
    normalMap[1] = "vehicles/hopper/hopper_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/hopper/hopper_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(hopper_winch)
{
   mapTo = "hopper_winch";
    diffuseMap[2] = "vehicles/hopper/hopper_winch_d.png";
    specularMap[2] = "vehicles/hopper/hopper_winch_s.png";
    normalMap[2] = "vehicles/hopper/hopper_winch_n.png";
    diffuseMap[1] = "vehicles/hopper/hopper_winch_d.png";
    specularMap[1] = "vehicles/hopper/hopper_winch_s.png";
    normalMap[1] = "vehicles/hopper/hopper_winch_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/hopper/hopper_winch_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("inflatedmat.skin_wheelcover.BPW")
{
    mapTo = "inflatedmat.skin_wheelcover.BPW";
//    overlayMap[1] = "vehicles/hopper/spare/spare_BPW.png";
    diffuseMap[1] = "vehicles/hopper/spare/spare_BPW.png";
    specularMap[1] = "vehicles/inflated_mat/inflatedmat_s.dds";
    normalMap[1] = "vehicles/inflated_mat/inflatedmat_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/inflated_mat/inflatedmat_n.dds";
    specularPower[0] = "16";
    pixelSpecular[0] = "1";
    specularPower[1] = "16";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "object";
};

singleton Material("hopper_interior.skin_interior.JPI")
{
    mapTo = "hopper_interior.skin_interior.JPI";
    reflectivityMap[1] = "vehicles/hopper/hopper_interior_s.dds";
    diffuseMap[1] = "vehicles/hopper/hopper_interior_d.dds";
    specularMap[1] = "vehicles/hopper/hopper_interior_s.dds";
    normalMap[1] = "vehicles/hopper/hopper_interior_n.dds";
    reflectivityMap[0] = "vehicles/hopper/hopper_interior_s.dds";
    diffuseMap[0] = "vehicles/hopper/hopper_interior_d.dds";
    specularMap[0] = "vehicles/hopper/hopper_interior_s.dds";
    normalMap[0] = "vehicles/hopper/hopper_interior_n.dds";
    diffuseColor[1] = "0.33 0.33 0.33 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("hopper_steer.skin_interior.JPI")
{
    mapTo = "hopper_steer.skin_interior.JPI";
    reflectivityMap[0] = "vehicles/hopper/hopper_steer_s.dds";
    diffuseMap[0] = "vehicles/hopper/hopper_steer_d.dds";
    specularMap[0] = "vehicles/hopper/hopper_steer_s.dds";
    normalMap[0] = "vehicles/hopper/hopper_steer_n.dds";
    diffuseColor[0] = "0.3 0.3 0.3 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("hopper_seats.skin_interior.JPI")
{
    mapTo = "hopper_seats.skin_interior.JPI";
    diffuseMap[0] = "vehicles/hopper/hopper_seats_JPI_d.png";
    specularMap[0] = "vehicles/pessima/pessima_seats_s.dds";
    normalMap[0] = "vehicles/pessima/pessima_seats_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("hopper_intcarpet.skin_interior.JPI")
{
    mapTo = "hopper_intcarpet.skin_interior.JPI";
    diffuseMap[0] = "vehicles/hopper/hopper_intcarpet_d.dds";
    diffuseColor[0] = "0.3 0.4 0.50 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("pushbar_01_red")
{
    mapTo = "pushbar_01_red";
    diffuseMap[2] = "vehicles/hopper/pushbar_01_c_JP.png";
    specularMap[2] = "vehicles/common/pushbar_01_s.dds";
    normalMap[2] = "vehicles/common/pushbar_01_n.dds";
    diffuseMap[1] = "vehicles/hopper/pushbar_01_d_JP.png";
    specularMap[1] = "vehicles/common/pushbar_01_s.dds";
    normalMap[1] = "vehicles/common/pushbar_01_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/pushbar_01_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(hopper_sparecover_JP_a)
{
    mapTo = "hopper_sparecover_JP_a";
    diffuseMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/hopper/hopper_sparecover_n.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/hopper/hopper_sparecover_JP_a_d.dds";
    normalMap[1] = "vehicles/hopper/hopper_sparecover_n.dds";
    specularMap[1] = "vehicles/hopper/hopper_sparecover_s.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1 1 1 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(hopper_sparecover_JP_b)
{
    mapTo = "hopper_sparecover_JP_b";
    diffuseMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/hopper/hopper_sparecover_n.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/hopper/hopper_sparecover_JP_b_d.dds";
    normalMap[1] = "vehicles/hopper/hopper_sparecover_n.dds";
    specularMap[1] = "vehicles/hopper/hopper_sparecover_s.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1 1 1 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


